Users

Get User Profiles For Visitors

POST
/v0/projects/{idOrSlug}/users/profiles

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string

Request Body

application/json
  1. body
userIds*array<string>
Itemsitems <= 500

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X POST 'https://api.faststats.dev/v0/projects/string/users/profiles' \  -H 'Content-Type: application/json' \  -d '{  "userIds": [    "string"  ]}'
Example Response
[  {    "userId": "string",    "personId": "string",    "externalId": "string",    "email": "string",    "name": "string",    "avatarUrl": "string"  }]